<?php

namespace Drupal\static_web\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Serve as api call.
 */
class APIController extends ControllerBase {

  /**
   * {@inheritdoc}
   */
  public function jsonMain($uuid) {
    $json = [];
    $data = \Drupal::service('static_web.generator');
    $json['main'] = $data->main($uuid);
    $json['header'] = $data->header($uuid);
    $json['footer'] = $data->footer($uuid);
    $json['sidebar'] = $data->sidebar($uuid);
    $json['sidebar_flag'] = $data->sidebarFlag($uuid);
    return new JsonResponse($json);
  }

  /**
   * {@inheritdoc}
   */
  public function getHomepageByDomainId($domain_id) {
    if ($domain_id && ctype_alnum($domain_id)) {
      $entity = \Drupal::entityTypeManager()
        ->getStorage('static_web_static_web_users')
        ->loadByProperties(['field_ws_site_name' => $domain_id]);
      if (empty($entity)) {
        return new JsonResponse(['status' => FALSE]);
      }
      return new JsonResponse(['status' => TRUE, 'uuid' => reset($entity)->uuid()]);
    }
    return new JsonResponse(['status' => FALSE]);
  }

}
